<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>
<h4>ΛΥΚΕΙΟ ΑΓΙΑΣ ΦΥΛΑΞΕΩΣ 2013-2014 - ΚΑΤΑΧΩΡΗΣΗ ΑΠΟΥΣΙΩΝ</h4>
<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];
$name = $_SESSION['n'];
$name = stripslashes($name);

echo "<br>"."ΗΜΕΡΟΜΗΝΙΑ:".$dt."...."." ΕΚΠΑΙΔΕΥΤΙΚΟΣ:".$name;
echo "<br>"; 

?>

<form name 'ora' method='POST' >
<br />ΠΕΡΙΟΔΟΣ ΔΙΔΑΣΚΑΛΙΑΣ:
<select name="per" >
<option value=1>1</option>
<option value=2>2</option>
<option value=3>3</option>
<option value=4>4</option>
<option value=5>5</option>
<option value=6>6</option>
<option value=7>7</option>
</select>

<br /> ΕΠΕΛΕΞΕ  ΑΜΙΓΕΣ ΤΜΗΜΑ:
<?php
$sql = "SELECT DISTINCT tmima FROM allstudentinfo ";
$result = mysqli_query($con,$sql);
echo "<select name='tmima1'>";
echo "<option value ='"."OXI"."'>"."OXI"."</option>";
while ($row = mysqli_fetch_array($result)) 
{
	$tmima=$row['tmima'];
   	echo "<option value ='".$tmima."'>".$tmima."</option>";
	$i++;
}

echo "</select>";
echo "<br>";
echo " ΔΙΑΦΟΡΕΤΙΚΑ ΕΠΕΛΕΞΕ ΣΥΝΔΙΔΑΣΚΑΛΙΑ:";
$sql = "SELECT DISTINCT synd FROM synd WHERE kathigitis='$name' ";
$result = mysqli_query($con,$sql);

echo "<select name='less'>";
while ($row = mysqli_fetch_array($result)) 
{
	$lesson=$row['synd'];
   	echo "<option value ='".$lesson."'>".$lesson."</option>";
}
echo "</select>";

?>
<br />	<br />
<input type="Submit" name="ekdnew" value="Επιβεβαίωση Επιλογών" >
</form>


<?php


if (isset($_POST['per']))
{	
   $per = $_POST["per"];
   $tmima = $_POST["tmima1"];
   $lesson = trim($_POST["less"]);
   $_SESSION['per']=$per;
   


 if ($tmima !== "OXI") {
 $result = mysqli_query($con,"SELECT mitroo,eponimo,onoma FROM allstudentinfo WHERE tmima='$tmima' ");   $lesson=$tmima;$cr=1;
 while($row=mysqli_fetch_array($result))
 {  	
	$mt[$cr]=$row['mitroo'];
	$epo[$cr]=$row['eponimo'];
	$nm[$cr]=$row['onoma'];
	$cr++;
 }
 
 }
 else
 {   $lesson=mysqli_real_escape_string($con,$lesson);
      echo "xxx".$lesson."xxx";
     $res = mysqli_query($con,"SELECT pmp FROM synd WHERE synd='$lesson' ");
	 $cr=1;
     while($row=mysqli_fetch_array($res)){
	 $pmp1=$row['pmp'];	 
	$result = mysqli_query($con,"SELECT mitroo,eponimo,onoma FROM allstudentinfo WHERE mitroo='$pmp1'");	
	 $row1 = mysqli_fetch_array($result);
	 $mt[$cr]=$row1['mitroo'];
	 $epo[$cr]=$row1['eponimo'];
	 $nm[$cr]=$row1['onoma'];
	 $cr++;
  }}
$cr--;
//..............................................

$res1=mysqli_query($con, "SELECT code,onoma FROM ekdilosi WHERE date = '$dt' ");
$c1=mysqli_num_rows($res1);
echo "<br >"."ΣΥΝΟΛΟ ΔΡΑΣΤΗΡΙΟΤΗΤΩΝ ΣΤΙΣ:".$dt. " .ΕΙΝΑΙ. ". $c1."<br >";

 if ($c1 > 0)  {  
 $i=0;
 while($row = mysqli_fetch_array($res1))
     {
	 $codekd[$i]=$row['code'];
	 $onomaekd[$i]=$row['onoma'];
	 $i++;
    }
 }
echo " Διδάσκων :<input type='text' name='name' value='$name' />" ;
echo " Περίοδος :<input type='number' name='per' value='$per' /> ";
echo " Τμήμα/Συνδ.:<input type='text' name='lesson' value='$lesson' /> <br /> ";
?>

<form method="POST" name = "eggrafi" action="eggrafi.php" >
<p> Να βάλετε την απουσία τικάροντας το αντίστοιχο κουτί και να σημειώσετε την καθυστέρηση στην κατάλληλη στήλη. Πατήστε Submit για να καταγραφούν οι απουσίες </p>
<?php
echo "<table border='3'>
<tr>
<th>α/α</th>
<th>Μητρώο</th>
<th>Επώνυμο</th>
<th>Όνομα</th>
<th>Απουσία</th>
<th>Καθυστ.</th>
<th>Δραστηριότητα</th>

</tr>";

$i=1;
 while($i<=$cr)
     {
	 echo "<tr>";
	 echo "<td>" .$i;
	 echo "<td>". "<input type='text' name='mt[]' value='$mt[$i]' size'11' >" . "</td>";
	 echo "<td>". "<input type='text' name='epo[]' value='$epo[$i]' >" . "</td>";
     echo "<td>". "<input type='text' name='nm[]' value='$nm[$i]' >" . "</td>";
     echo "<td>". "<input type='checkbox' name='att[]' value='$mt[$i]'>" ."</td>";
	 echo "<td>". "<input type='number' name='kath[]' size='5' >" ."</td>";
 	 //................
	 if ($c1 > 0 ) {
	 
	 $i1=0;
	 
	 foreach ($codekd as $cdo) {
	 
	 	 $q2 =mysqli_query($con, "SELECT p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE pmp = '$mt[$i]' AND code='$cdo' ");
	 $c2=mysqli_num_rows($q2);
	 if ($c2 > 0){
	   
	 $row2 = mysqli_fetch_array($q2);
	  $p1=$row2['p1'];$p2=$row2['p2'];$p3=$row2['p3'];$p4=$row2['p4'];$p5=$row2['p5'];$p6=$row2['p6'];$p7=$row2['p7'];		
		$np="p".$per;
	    if ($$np == 1) { echo "<td>". $onomaekd[$i1] ."</td>"; }}
		
	   
	 $i1++; }}
	
	 
	 //............
	 echo "</tr>";
$i++;
}

echo "</table>";
$_SESSION['fg']=$i;
?>

<input type="Submit" name="Submitapou" value="Καταχώρηση">
</form>
<?php
}

?>
</body>
</html>